# Uses of Class
org.apache.sling.testing.clients.osgi.ComponentInfo

Packages that use ComponentInfo
Package
Description
org.apache.sling.testing.clients.osgi
OSGI testing tools.

## Uses of ComponentInfo in org.apache.sling.testing.clients.osgi

Methods in org.apache.sling.testing.clients.osgi that return ComponentInfo
Modifier and Type
Method
Description
`ComponentInfo`
ComponentsInfo.`forId(String id)`
`ComponentInfo`
ComponentsInfo.`forName(String name)`
`ComponentInfo`
ComponentsInfo.`forPid(String pid)`
`ComponentInfo`
OsgiConsoleClient.`getComponentInfo(String id, int expectedStatus)`
Returns the wrapper for the component info json